Page MenuHomePhabricator

Update Event Metrics to use new actor storage
Closed, ResolvedPublic

Description

The actor table is live on Toolforge replicas, and it appears the foreign keys (e.g. rev_actor_id) are populated.

The effort involved here is to update our queries to join on actor when we need to filter by username, or use join decomposition, so that we are no longer referencing rev_user_text, rev_user, log_user_text, log_user, etc.

The full list of database changes are listed at T167246.

(This is a subtask of T219324, which is about updating all our tools. )

Event Timeline

Restricted Application added a project: Community-Tech. · View Herald TranscriptApr 25 2019, 4:50 PM
MaxSem claimed this task.May 21 2019, 10:24 PM
MaxSem moved this task from Ready to In Development on the Community-Tech-Sprint board.

All PRs merged and deployed. Performance is on par with what it used to be. I have not thoroughly vetted data generated by the new queries, but I like to think our integration tests took care of that. If we want formal QA we can ask for it, but this is basically a "test everything" scenario. We may want to wait until after the old columns are dropped (June 3) before closing this.

Niharika closed this task as Resolved.Jun 8 2019, 12:22 AM